Unable to login after upgrade from v2.00+ to v2.50+

More
1 year 9 months ago #133079 by asid2014
asid2014 created the topic: Unable to login after upgrade from v2.00+ to v2.50+
Hi,

I followed the instructions in the Limesurvey online manual ( manual.limesurvey.org/Upgrading_from_a_previous_version ) when trying to upgrade from v2.00+ 130325 to v2.50+ 160314. The installation was successful and then the admin login page came up. I entered the login details but the following error came on the screen: "CDbCommand failed to execute the SQL statement: SQLSTATE[42S22]: Column not found: 1054 Unknown column 't.allowjumps' in 'field list'".

I then restored the database from the backup I created before upgrading and tried again by restarting the browser. The database upgrade screen came up and the upgrade was successful (same as before). However, same thing happened as before i.e. the above error message came up. Can you please suggest something as we are in the process of setting up a survey and this is a bit frustrating. Thanks

Please Log in to join the conversation.

More
1 year 9 months ago #133086 by asid2014
asid2014 replied the topic: Unable to login after upgrade from v2.00+ to v2.50+
UPDATE
I managed to fix the problem. I enabled debugging in the config file and then tried to access the admin login screen. I found that there was some issue with the default template files. So I copied the default template folder again and now it works. :)

Please Log in to join the conversation.

More
10 months 1 week ago #148483 by GILLESP
GILLESP replied the topic: Unable to login after upgrade from v2.00+ to v2.50+
Hello,

I was able to get rid of the message :
Having set debug mode to 2 in config.php, I logged in and saved the exiting surveys with "default" template.
I had very few existing surveys, else I would have changed the whole template column with phpmyadmin from existing templates used which are no more available to "default"

After that, resetting the debug to 0 and everything was OK

Gilles

Please Log in to join the conversation.

More
10 months 1 week ago #148504 by DenisChenu
DenisChenu replied the topic: Unable to login after upgrade from v2.00+ to v2.50+
You mean default public template ?

Did you take some screenshot ? To report the bug ?

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in to join the conversation.

More
10 months 1 week ago - 10 months 1 week ago #148548 by GILLESP
GILLESP replied the topic: Unable to login after upgrade from v2.00+ to v2.50+
You mean default public template ?

I indeed mean the default public template. My existing surveys were using the "limespired" template which doesn't exist anymore in the latest versions.
Under debug mode, these surveys were displayed as being built with the "default" template. Saving the survey was modifying the mysql field. Once there were no more "limespired" in the database, I was enable to login without the debug mode and without the error message.


Did you take some screenshot ? To report the bug ?

As my error "CDbCommand failed to execute the SQL statement: SQLSTATE[42S22]: Column not found: 1054 Unknown column 't.allowjumps' in 'field list'". was already described in this article (and at least one other -https://www.limesurvey.org/de/foren/installation-a-update-issues/106950-cannot-update-from-1-92-to-2-51-3) i had perhaps erroneously believed the bug already reported, and also I don't categorize this strictly as a bug.
Simply modify the upgrade help by saying that old templates should be changed by new existing ones before migrating or the database update tool should reset existing template choices by "default"

Sorry, consequently no screenshot
Last Edit: 10 months 1 week ago by GILLESP.

Please Log in to join the conversation.

More
10 months 6 days ago #148559 by makza
makza replied the topic: Unable to login after upgrade from v2.00+ to v2.50+
Hello!! I went to the site for the first time. I strongly advice

Please Log in to join the conversation.

More
10 months 2 days ago #148711 by DenisChenu
DenisChenu replied the topic: Unable to login after upgrade from v2.00+ to v2.50+

GILLESP wrote: You mean default public template ?

I indeed mean the default public template. My existing surveys were using the "limespired" template which doesn't exist anymore in the latest versions.....

OK , this bug was fixed in another release : why you update to 2.50 and not to 2.6X ?

GILLESP wrote: Did you take some screenshot ? To report the bug ?
As my error "CDbCommand failed to execute the SQL statement: SQLSTATE[42S22]: Column not found: 1054 Unknown column 't.allowjumps' in 'field list'". was already described in this article (and at least one other -https://www.limesurvey.org/de/foren/installation-a-update-issues/106950-cannot-update-from-1-92-to-2-51-3) i had perhaps erroneously believed the bug already reported, and also I don't categorize this strictly as a bug. ....

It's a update bug, but maybe it was fixed now ;). In 2.06 we fix it for sure (we don't user allowjumps in 2.06 , but index.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!